## gmtsar 6.4+ds

=== LT1_preproc/src/Makefile ===
include ../../../config.mk
PROG =  make_slc_lt1
CSRCS = make_slc_lt1.c

OBJS =  $(CSRCS:.c=.o)
INCLUDES = -I../include -I../../../gmtsar -I$(TIFF_INC)
CLIBS = -L../../../gmtsar -lgmtsar -L../lib -lxmlC -L$(TIFF_LIB) -ltiff -lm

$(PROG): $(OBJS)
	$(CC) $(CFLAGS) -o $@ $(OBJS) $(CLIBS) 

all:	$(PROG)

install:
	$(INSTALL) $(PROG) $(bindir)

uninstall:
	rm -f $(bindir)/$(PROG)

clean:
	rm -f $(OBJS) tags core

=== debian/changelog ===
gmtsar (6.4+ds-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 May 2024 20:33:46 +0200

gmtsar (6.4+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1071841).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 28 May 2024 18:55:23 +0000

## gmtsar 6.5%2Bds

=== LT1_preproc/Makefile ===
include ../../config.mk
#
#   make all the files
#
DIRS	= src src_orbit

all:
	$(LN_S) -f ../S1A_preproc/include include
	$(LN_S) -f ../S1A_preproc/lib lib
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) all); \
	done

install:	all
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) install); \
	done

uninstall:
	(cd src; $(MAKE) uninstall)

clean:
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) clean); \
	done

spotless:	clean

=== ERS_preproc/read_sarleader_dpaf/Makefile ===
include ../../../config.mk
PROG =  read_sarleader_dpaf
CSRCS = read_sarleader_dpaf.c make_prm_dpaf.c

OBJS =  $(CSRCS:.c=.o)	
LIBS = -lm

$(PROG): $(OBJS)
	$(LINK.c) -o $@ $(OBJS) $(LIBS)

all:	$(PROG)

clean:
	rm -f $(OBJS) tags core

install:
	$(INSTALL) $(PROG) $(bindir)

uninstall:
	rm -f $(bindir)/$(PROG)

=== RS2_preproc/src/Makefile ===
include ../../../config.mk
PROG =  make_slc_rs2
CSRCS = make_slc_rs2.c

OBJS =  $(CSRCS:.c=.o)
INCLUDES = -I../include -I../../../gmtsar -I$(TIFF_INC)
CLIBS = -L../../../gmtsar -lgmtsar -L../lib -lxmlC -L$(TIFF_LIB) -ltiff -lm

$(PROG): $(OBJS)
	$(CC) $(CFLAGS) -o $@ $(OBJS) $(CLIBS) 

all:	$(PROG)

install:
	$(INSTALL) $(PROG) $(bindir)

uninstall:
	rm -f $(bindir)/$(PROG)

clean:
	rm -f $(OBJS) tags core

## gmtsar 6.5+ds

=== Makefile ===
#       $Id: Makefile 236 2015-08-24 07:09:14Z pwessel $
#
#       makefile for top GMTSAR directory

sinclude config.mk

# Currently, S1A must happen before the CSK, TSZ, and RS2 builds due to dependencies via links
# We will fix this so one can make anyting in any order
#
PREPROCESSORS	= ALOS ERS S1A CSK TSX RS2 ENVI GF3 NSR LT1 
#
DIRS		= gmtsar snaphu/src
ORBITS_URL	= http://topex.ucsd.edu/gmtsar/tar/ORBITS.tar
ORBITS		= ORBITS.tar

all:	main preprocess

help::
		@grep '^#!' Makefile | cut -c3-
#!----------------- MAKE HELP FOR GMTSAR-----------------
#!
#!make <target>, where <target> can be:
#!
#!all                : Compile everything
#!install            : Compile & install everything
#!clean              : Clean up and remove objects and library files
#!clean              : Clean and remove configured files as well
#!   ------------- Additional Targets   ------------- 
#!preprocess         : Only compile the preprocesors
#!main               : Only compile the main programs
#!install-preprocess : Only compile & install the preprocesors
#!install-main       : Only compile & install the main programs
#!install-orbits     : Obtain ORBITS.tar, prompt for directory, and install files
#!

preprocess:
	for d in $(PREPROCESSORS); do \
		(cd preproc/$${d}_preproc; $(MAKE) all); \
	done

main:
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) all); \
	done

install:	install-main install-preproc

install-preproc:
	for d in $(PREPROCESSORS); do \
		(cd preproc/$${d}_preproc; $(MAKE) install); \
	done
	$(INSTALL) preproc/ERS_preproc/scripts/virgin.PRM $(sharedir)
	$(INSTALL) preproc/ENVI_preproc/scripts/virgin_envisat.PRM $(sharedir)

install-main:
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) install); \
	done
	$(INSTALL) -d $(sharedir)
	$(INSTALL) -d $(sharedir)/filters
	$(INSTALL) -d $(sharedir)/snaphu/config
	$(INSTALL) gmtsar/filters/[bfgsxy]* $(sharedir)/filters
	$(INSTALL) gmtsar/csh/snaphu.conf.* $(sharedir)/snaphu/config
	$(INSTALL) gmtsar/*.grd $(sharedir)

install-orbits:
	wget $(ORBITS_URL) 2>/dev/null || curl -O $(ORBITS_URL)
	@if [ -f $(ORBITS) ]; then \
		read -p "==> Enter directory where the ORBITS subdirectory should be installed: " ORB_DIR ; \
		mkdir -p $$ORB_DIR/ORBITS ; \
		echo "Extracting orbits files into $$ORB_DIR/ORBITS";  \
		tar xf $(ORBITS) -C$$ORB_DIR/ORBITS ; \
		echo "Run configure --with-orbits-dir=$$ORB_DIR/ORBITS";  \
	else \
		echo "Unable to obtain $(ORBITS_URL) - Perhaps you have neither curl nor wget installed?";  \
	fi

uninstall:  uninstall-main uninstall-preproc

uninstall-main:
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) uninstall); \
	done
	rm -rf $(sharedir)

uninstall-preproc:
	for d in $(PREPROCESSORS); do \
		(cd preproc/$${d}_preproc; $(MAKE) uninstall); \
	done

clean:
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) clean); \
	done
	for d in $(PREPROCESSORS); do \
		(cd preproc/$${d}_preproc; $(MAKE) clean); \
	done

spotless:
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) spotless); \
	done
	for d in $(PREPROCESSORS); do \
		(cd preproc/$${d}_preproc; $(MAKE) spotless); \
	done
	rm -rf $(sharedir) bin share
	rm -rf config.log config.status config.mk configure autom4te.cache

=== CSK_preproc/Makefile ===
include ../../config.mk
#
#   make all the files
#
DIRS	= src_slc src_raw

all:
	$(LN_S) -f ../S1A_preproc/include include
	$(LN_S) -f ../S1A_preproc/lib lib
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) all); \
	done

install:	all
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) install); \
	done

uninstall:
	for d in src_slc src_raw; do \
		(cd $$d; $(MAKE) uninstall); \
	done

clean:
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) clean); \
	done

spotless:	clean

=== TSX_preproc/Makefile ===
include ../../config.mk
#
#   make all the files
#
DIRS	= lib src

all:
	$(LN_S) -f ../S1A_preproc/include include
	$(LN_S) -f ../S1A_preproc/lib lib
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) all); \
	done

install:	all
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) install); \
	done

uninstall:
	(cd src; $(MAKE) uninstall)

clean:
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) clean); \
	done

spotless:	clean

=== csh/CMakeLists.txt ===
configure_file (gmtsar_sharedir.csh.in gmtsar_sharedir.csh)

install (PROGRAMS align.csh align_ALOS2_SCAN.csh align_ALOS_SLC.csh align_batch.csh align_batch_ALOS2_SCAN.csh
	align_batch_ALOS_SLC.csh align_tops.csh align_tops_6par.csh align_tops_esd.csh baseline_table.csh
	cleanup.csh create_frame_tops.csh dem2topo_ra.csh dem2topo_ra_ALOS2.csh detrend_before_unwrap.csh
	filter.csh fitoffset.csh geocode.csh gmtsar.csh ${CMAKE_CURRENT_BINARY_DIR}/gmtsar_sharedir.csh
	grd2geotiff.csh grd2kml.csh intf.csh
	intf_batch.csh intf_batch_ALOS2_SCAN.csh intf_tops.csh landmask.csh landmask_ALOS2.csh m2s.csh
	make_a_offset.csh make_dem.csh make_los_ascii.csh make_profile.csh merge_batch.csh
    merge_unwrap_geocode_tops.csh p2p_ALOS2_SCAN_Frame.csh p2p_ALOS2_SCAN_SLC.csh
	p2p_ENVI.csh p2p_ERS.csh p2p_S1_TOPS.csh p2p_S1_TOPS_Frame.csh pre_proc.csh pre_proc_batch.csh
	pre_proc_batch_ALOS2_SCAN.csh pre_proc_batch_ALOS_SLC.csh pre_proc_init.csh preproc_batch_tops.csh
	preproc_batch_tops_esd.csh proj_ll2ra.csh proj_ll2ra_ascii.csh proj_model.csh proj_ra2ll.csh
	proj_ra2ll_ascii.csh sarp.csh slc2amp.csh snaphu.csh snaphu_interp.csh stack.csh stack_corr.csh 
	update_PRM.csh select_pairs.csh
	DESTINATION bin
	COMPONENT Runtime)

=== ALOS_preproc/ALOS_fbd2fbs/Makefile ===
include ../../../config.mk
PROG =  ALOS_fbd2fbs
CSRCS = ALOS_fbd2fbs.c

OBJS =  $(CSRCS:.c=.o)
INCLUDES = -I../include

CLIBS = -L../lib -lALOS -lm

$(PROG): $(OBJS)
	$(LINK.c) -o $@ $(OBJS) $(CLIBS)

all:	$(PROG)

install:
	$(INSTALL) $(PROG) $(bindir)

uninstall:
	rm -f $(bindir)/$(PROG)

clean:
	rm -f $(OBJS) tags core

=== ALOS_preproc/ALOS_fbd2fbs_SLC/Makefile ===
include ../../../config.mk
PROG =  ALOS_fbd2fbs_SLC
CSRCS = ALOS_fbd2fbs_SLC.c

OBJS =  $(CSRCS:.c=.o)
INCLUDES = -I../include

CLIBS = -L../lib -lALOS -lm

$(PROG): $(OBJS)
	$(LINK.c) -o $@ $(OBJS) $(CLIBS)

all:	$(PROG)

install:
	$(INSTALL) $(PROG) $(bindir)

uninstall:
	rm -f $(bindir)/$(PROG)

clean:
	rm -f $(OBJS) tags core

=== ALOS_preproc/ALOS_fbd2ss/Makefile ===
include ../../../config.mk
PROG =  ALOS_fbd2ss
CSRCS = ALOS_fbd2ss.c

OBJS =  $(CSRCS:.c=.o)
INCLUDES = -I../include

CLIBS = -L../lib -lALOS -lm

$(PROG): $(OBJS)
	$(LINK.c) -o $@ $(OBJS) $(CLIBS)

all:	$(PROG)

install:
	$(INSTALL) $(PROG) $(bindir)

uninstall:
	rm -f $(bindir)/$(PROG)

clean:
	rm -f $(OBJS) tags core

=== ALOS_preproc/ALOS_merge/Makefile ===
include ../../../config.mk
PROG =  ALOS_merge
CSRCS = ALOS_merge.c

OBJS =  $(CSRCS:.c=.o)
INCLUDES = -I../include

CLIBS = -L../lib -lALOS -lm

$(PROG): $(OBJS)
	$(LINK.c) -o $@ $(OBJS) $(CLIBS)

all:	$(PROG)

install:
	$(INSTALL) $(PROG) $(bindir)

uninstall:
	rm -f $(bindir)/$(PROG)

clean:
	rm -f $(OBJS) tags core

=== ALOS_preproc/ALOS_pre_process/Makefile ===
include ../../../config.mk
PROG =  ALOS_pre_process
CSRCS = ALOS_pre_process.c \
	parse_ALOS_commands.c \
	read_ALOS_data.c \
	read_ALOSE_data.c \
	swap_ALOS_data_info.c \
	roi_utils.c

OBJS =  $(CSRCS:.c=.o)
INCLUDES = -I../include
CLIBS = -L../lib -lALOS -lm

$(PROG): $(OBJS)
	$(LINK.c) -o $@ $(OBJS) $(CLIBS)  $(FLIBS)

all:	$(PROG)

install:
	$(INSTALL) $(PROG) $(bindir)

uninstall:
	rm -f $(bindir)/$(PROG)

clean:
	rm -f $(OBJS) tags core

=== ALOS_preproc/ALOS_pre_process_SS/Makefile ===
include ../../../config.mk
PROG =  ALOS_pre_process_SS
CSRCS = ALOS_pre_process_SS.c \
	parse_ALOS_commands.c \
	read_ALOS_data_SS.c \
	swap_ALOS_data_info.c

OBJS =  $(CSRCS:.c=.o)
INCLUDES = -I../include
CLIBS = -L../lib -lALOS -lm

$(PROG): $(OBJS)
	$(LINK.c) -o $@ $(OBJS) $(CLIBS)

all:	$(PROG)

install:
	$(INSTALL) $(PROG) $(bindir)

uninstall:
	rm -f $(bindir)/$(PROG)

clean:
	rm -f $(OBJS) tags core

=== CSK_preproc/src_raw/Makefile ===
include ../../../config.mk
PROG =  make_raw_csk
CSRCS = make_raw_csk.c

OBJS =  $(CSRCS:.c=.o)
INCLUDES = -I../include -I../../../gmtsar $(HDF5_CPPFLAGS)
CLIBS = -L../../../gmtsar -lgmtsar -L../lib -lxmlC $(HDF5_LDFLAGS) $(HDF5_LIBS) -lm

$(PROG): $(OBJS)
	$(CC) $(CFLAGS) -o $@ $(OBJS) $(CLIBS) 

all:	$(PROG)

install:
	$(INSTALL) $(PROG) $(bindir)

uninstall:
	rm -f $(bindir)/$(PROG)

clean:
	rm -f $(OBJS) tags core

=== CSK_preproc/src_slc/Makefile ===
include ../../../config.mk
PROG =  make_slc_csk
CSRCS = make_slc_csk.c

OBJS =  $(CSRCS:.c=.o)
INCLUDES = -I../include -I../../../gmtsar $(GMT_INC) $(HDF5_CPPFLAGS) 
CLIBS = -L../../../gmtsar -lgmtsar -L../lib -lxmlC $(GMT_LIB) $(HDF5_LDFLAGS) $(HDF5_LIBS) -lm

$(PROG): $(OBJS)
	$(CC) $(CFLAGS) -o $@ $(OBJS) $(CLIBS) 

all:	$(PROG)

install:
	$(INSTALL) $(PROG) $(bindir)

uninstall:
	rm -f $(bindir)/$(PROG)

clean:
	rm -f $(OBJS) tags core

=== debian/changelog ===
gmtsar (6.5+ds-2build1) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Miriam España Acebal <miriam.espana@canonical.com>  Sun, 26 Jan 2025 10:54:44 +0000

gmtsar (6.5+ds-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Remove generated files in clean target.

  [ Antonio Valentino ]
  * debian/patches:
    - New 0007-Clean.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 29 Jun 2024 18:04:03 +0000

gmtsar (6.5+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * Install "ext_orb_lt1" and the corresponding man page.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 29 Jun 2024 11:28:31 +0000

=== debian/control ===
Source: gmtsar
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               gfortran,
               libblas-dev,
               libepr-api-dev,
               libgmt-dev,
               libhdf5-dev,
               liblapack-dev,
               libtiff-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/gmtsar
Vcs-Git: https://salsa.debian.org/debian-gis-team/gmtsar.git
Homepage: https://topex.ucsd.edu/gmtsar
Rules-Requires-Root: no
Description: InSAR processing system based on Generic Mapping Tools
 GMTSAR is an open source Interferometric Synthetic Aperture RADAR
 (InSAR) processing system designed for users familiar with Generic
 Mapping Tools (GMT).
 .
 The code is written in C and will compile on any computer where GMT
 and NETCDF are installed.
 .
 The system has three main components:
  * a preprocessor for each satellite data type (ERS-1/2, Envisat,
    ALOS-1, TerraSAR-X, COSMO-SkyMed, Radarsat-2, Sentinel-1A/B,
    and ALOS-2) to convert the native format and orbital information
    into a generic format;
  * an InSAR processor to focus and align stacks of images, map
    topography into phase, and form the complex interferogram;
  * a postprocessor, mostly based on GMT, to filter the interferogram
    and construct interferometric products of phase, coherence,
    phase gradient, and line-of sight displacement in both radar and
    geographic coordinates.
 .
 GMT is used to display all the products as pdf files and KML images
 for Google Earth. A set of shell scripts has been developed for
 standard 2-pass processing as well as geometric image alignment for
 stacking and time series.

Package: gmtsar
Architecture: all
Depends: gmtsar-core (>= ${source:Version}),
         gmtsar-scripts (>= ${source:Version}),
         ${misc:Depends}
Recommends: snaphu
Description: ${source:Synopsis} - metapackage
 ${source:Extended-Description}

Package: gmtsar-core
Architecture: any
Depends: gmtsar-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} - core
 ${source:Extended-Description}
 .
 This package provides gmtsar executable programs.

Package: gmtsar-data
Architecture: all
Depends: ${misc:Depends}
Description: ${source:Synopsis} - data
 ${source:Extended-Description}
 .
 This package provides gmtsar shared data files.

Package: gmtsar-scripts
Architecture: all
Depends: gmtsar-core (>= ${source:Version}),
         csh,
         gmt,
         python3,
         ${perl:Depends},
         ${misc:Depends}
Recommends: snaphu
Description: ${source:Synopsis} - scripts
 ${source:Extended-Description}
 .
 This package provides c-shell sctipts for gmtsar.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -z muldefs -g
export DEB_LDFLAGS_MAINT_APPEND = -z muldefs -g

%:
	dh $@

override_dh_auto_clean:
	mkdir -p snaphu/src
	if [ ! -f snaphu/src/Makefile ] ; then cp debian/_dummy_makefile snaphu/src/Makefile ; fi
	mkdir -p preproc/ENVI_preproc/ENVI_SLC_decode/epr_api-2.3/src
	if [ ! -f preproc/ENVI_preproc/ENVI_SLC_decode/epr_api-2.3/src/Makefile ] ; then \
	  cp debian/_dummy_makefile preproc/ENVI_preproc/ENVI_SLC_decode/epr_api-2.3/src/Makefile ; \
	fi
	if [ -f config.mk ] ; then make spotless ; fi
	$(RM) -r snaphu preproc/ENVI_preproc/ENVI_SLC_decode/epr_api-2.3

override_dh_auto_configure:
	dh_auto_configure -- --enable-rpath=no --with-orbits-dir=/usr/share/gmtsar/orbits

execute_before_dh_auto_install:
	mkdir -p debian/tmp/usr/share/gmtsar/snaphu/config
	# mkdir -p debian/tmp/usr/share/gmtsar/orbits

execute_after_dh_auto_install:
	sed -i 's:set ORBITS = "/usr/share/gmtsar/orbits":set ORBITS = "$${HOME}/.gmtsar/orbits":g' \
		debian/tmp/usr/bin/ENVI_pre_process
	sed -i 's:set ORBITS = "/usr/share/gmtsar/orbits":set ORBITS = "$${HOME}/.gmtsar/orbits":g' \
		debian/tmp/usr/bin/ERS_pre_process
	sed -i 's:set ORBITS = "/usr/share/gmtsar/orbits":set ORBITS = "$${HOME}/.gmtsar/orbits":g' \
		debian/tmp/usr/bin/ENVI_SLC_pre_process

## gmtsar 6.6%2Bds

=== ALOS_preproc/ALOS_fbs2fbd/Makefile ===
include ../../../config.mk
PROG =  ALOS_fbs2fbd
CSRCS = ALOS_fbs2fbd.c

OBJS =  $(CSRCS:.c=.o)
INCLUDES = -I../include

CLIBS = -L../lib -lALOS -lm

$(PROG): $(OBJS)
	$(LINK.c) -o $@ $(OBJS) $(CLIBS)

all:	$(PROG)

install:
	$(INSTALL) $(PROG) $(bindir)

uninstall:
	rm -f $(bindir)/$(PROG)

clean:
	rm -f $(OBJS) tags core

=== ALOS_preproc/ALOS_mosaic_ss_2frames/Makefile ===
include ../../../config.mk
PROG =  ALOS_mosaic_ss_2frames
CSRCS = ALOS_mosaic_ss_2frames.c 

OBJS =  $(CSRCS:.c=.o)
INCLUDES = -I../include -I../../../gmtsar $(GMT_INC)

CLIBS = -L../lib -lALOS -lm

$(PROG): $(OBJS)
	$(LINK.c) -o $@ $(OBJS) $(CLIBS) $(GMTSAR) $(GMT_LIB) $(INCLUDES)

all:	$(PROG)

install:
	$(INSTALL) $(PROG) $(bindir)

uninstall:
	rm -f $(bindir)/$(PROG)

clean:
	rm -f $(PROG) $(OBJS) tags core

=== ALOS_preproc/ALOS_pre_process_SS/Makefile ===
--- 
+++ 
@@ -21,4 +21,4 @@
 	rm -f $(bindir)/$(PROG)
 
 clean:
-	rm -f $(OBJS) tags core
+	rm -f $(OBJS) tags core $(PROG)

=== CSK_preproc/src_slc/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 CLIBS = -L../../../gmtsar -lgmtsar -L../lib -lxmlC $(GMT_LIB) $(HDF5_LDFLAGS) $(HDF5_LIBS) -lm
 
 $(PROG): $(OBJS)
-	$(CC) $(CFLAGS) -o $@ $(OBJS) $(CLIBS) 
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(OBJS) $(CLIBS) 
 
 all:	$(PROG)
 
@@ -18,4 +18,4 @@
 	rm -f $(bindir)/$(PROG)
 
 clean:
-	rm -f $(OBJS) tags core
+	rm -f $(OBJS) tags core $(PROG)

=== ENVI_preproc/ENVI_decode/Makefile ===
include ../../../config.mk
PROG =  asa_im_decode
CSRCS = asa_im_decode.c 
OBJS =  $(CSRCS:.c=.o)
CLIBS = -lm

$(PROG): $(OBJS)
	$(LINK.c) -o $@ $(OBJS) $(CLIBS)

all:	$(PROG)

install:
	$(INSTALL) $(PROG) $(bindir)

uninstall:
	rm -f $(bindir)/$(PROG)

clean:
	rm -f $(OBJS) tags core $(PROG)

## gmtsar 6.6+ds

=== CMakeLists.txt ===
#
#	$Id$
#

set (GMTSAR_LINK_LIBS ${GMT_LIBRARY} ${TIFF_LIBRARY} ${LAPACK_LIBRARIES})

if (HAVE_M_LIBRARY)
	# link the math library
	set (GMTSAR_LINK_LIBS ${GMTSAR_LINK_LIBS} m)
endif (HAVE_M_LIBRARY)

include_directories (${GMT_INCLUDE_DIR} ${TIFF_INCLUDE_DIR})

add_library (gmtsar aastretch.c acpatch.c calc_dop.c conv2d.c do_freq_xcorr.c
	do_time_int_xcorr.c fft_bins.c fft_interpolate_routines.c file_stuff.c
	geoxyz.c get_locations.c get_params.c hermite_c.c highres_corr.c
	interpolate_orbit.c intp_coef.c ldr_orbit.c parse_xcorr_input.c plxyz.c
	polyfit.c print_results.c radopp.c read_orb.c read_xcorr_data.c
	SAT_llt2rat_sub.c rmpatch.c rng_cmp.c rng_ref.c set_prm_defaults.c shift.c
	sio_struct.c siocomplex.c spline.c trans_col.c utils.c utils_complex.c
	write_orb.c sbas_utils.c gmtsar.h lib_functions.h llt2xyz.h orbit.h
	sarleader_ALOS.h sarleader_fdr.h sfd_complex.h siocomplex.h soi.h xcorr.h)
target_link_libraries (gmtsar ${GMTSAR_LINK_LIBS})

set (GMTSAR_LINK_LIBS ${GMTSAR_LINK_LIBS} gmtsar)

add_executable (bperp bperp.c gmtsar.h)
target_link_libraries (bperp ${GMTSAR_LINK_LIBS})

add_executable (calc_dop_orb calc_dop_orb.c gmtsar.h orbit.h)
target_link_libraries (calc_dop_orb ${GMTSAR_LINK_LIBS})

add_executable (conv conv.c gmtsar.h)
target_link_libraries (conv ${GMTSAR_LINK_LIBS})

add_executable (esarp esarp.c soi.h gmtsar.h)
target_link_libraries (esarp ${GMTSAR_LINK_LIBS})

add_executable (extend_orbit extend_orbit.c gmtsar.h orbit.h lib_functions.h)
target_link_libraries (extend_orbit ${GMTSAR_LINK_LIBS})

add_executable (make_gaussian_filter make_gaussian_filter.c PRM.h lib_functions.h)
target_link_libraries (make_gaussian_filter ${GMTSAR_LINK_LIBS})

add_executable (offset_topo offset_topo.c gmtsar.h)
target_link_libraries (offset_topo ${GMTSAR_LINK_LIBS})

add_executable (phase2topo phase2topo.c gmtsar.h)
target_link_libraries (phase2topo ${GMTSAR_LINK_LIBS})

add_executable (phasediff phasediff.c gmtsar.h)
target_link_libraries (phasediff ${GMTSAR_LINK_LIBS})

add_executable (phasefilt phasefilt.c gmtsar.h)
target_link_libraries (phasefilt ${GMTSAR_LINK_LIBS})

add_executable (resamp resamp.c gmtsar.h lib_functions.h)
target_link_libraries (resamp ${GMTSAR_LINK_LIBS})

add_executable (SAT_baseline SAT_baseline.c gmtsar.h orbit.h)
target_link_libraries (SAT_baseline ${GMTSAR_LINK_LIBS})

add_executable (SAT_llt2rat SAT_llt2rat.c gmtsar.h orbit.h llt2xyz.h)
target_link_libraries (SAT_llt2rat ${GMTSAR_LINK_LIBS})

add_executable (SAT_look SAT_look.c gmtsar.h orbit.h llt2xyz.h)
target_link_libraries (SAT_look ${GMTSAR_LINK_LIBS})

add_executable (sbas sbas.c gmtsar.h sbas.h)
target_link_libraries (sbas ${GMTSAR_LINK_LIBS})

add_executable (xcorr xcorr.c gmtsar.h)
target_link_libraries (xcorr ${GMTSAR_LINK_LIBS})

# add the install targets
install (TARGETS gmtsar bperp calc_dop_orb conv esarp extend_orbit make_gaussian_filter offset_topo phase2topo phasediff phasefilt resamp SAT_baseline SAT_llt2rat SAT_look sbas xcorr
	ARCHIVE DESTINATION lib
	COMPONENT Runtime
	LIBRARY DESTINATION lib
	COMPONENT Runtime
	RUNTIME DESTINATION bin
	COMPONENT Runtime)

add_subdirectory (csh)

# vim: textwidth=78 noexpandtab tabstop=2 softtabstop=2 shiftwidth=2

=== Makefile ===
--- 
+++ 
@@ -49,8 +49,8 @@
 	for d in $(PREPROCESSORS); do \
 		(cd preproc/$${d}_preproc; $(MAKE) install); \
 	done
-	$(INSTALL) preproc/ERS_preproc/scripts/virgin.PRM $(sharedir)
-	$(INSTALL) preproc/ENVI_preproc/scripts/virgin_envisat.PRM $(sharedir)
+	$(INSTALL) -m 0644 preproc/ERS_preproc/scripts/virgin.PRM $(sharedir)
+	$(INSTALL) -m 0644 preproc/ENVI_preproc/scripts/virgin_envisat.PRM $(sharedir)
 
 install-main:
 	for d in $(DIRS); do \
@@ -59,9 +59,9 @@
 	$(INSTALL) -d $(sharedir)
 	$(INSTALL) -d $(sharedir)/filters
 	$(INSTALL) -d $(sharedir)/snaphu/config
-	$(INSTALL) gmtsar/filters/[bfgsxy]* $(sharedir)/filters
-	$(INSTALL) gmtsar/csh/snaphu.conf.* $(sharedir)/snaphu/config
-	$(INSTALL) gmtsar/*.grd $(sharedir)
+	$(INSTALL) -m 0644 gmtsar/filters/[bfgsxy]* $(sharedir)/filters
+	$(INSTALL) -m 0644 gmtsar/csh/snaphu.conf.* $(sharedir)/snaphu/config
+	$(INSTALL) -m 0644 gmtsar/*.grd $(sharedir)
 
 install-orbits:
 	wget $(ORBITS_URL) 2>/dev/null || curl -O $(ORBITS_URL)
@@ -103,5 +103,9 @@
 	for d in $(PREPROCESSORS); do \
 		(cd preproc/$${d}_preproc; $(MAKE) spotless); \
 	done
-	rm -rf $(sharedir) bin share
+	rm -rf bin share
+	$(RM) gmtsar/csh/gmtsar_sharedir.csh \
+	preproc/ENVI_preproc/scripts/ENVI_SLC_pre_process \
+	preproc/ENVI_preproc/scripts/ENVI_pre_process \
+	preproc/ERS_preproc/scripts/ERS_pre_process
 	rm -rf config.log config.status config.mk configure autom4te.cache

=== ALOS_preproc/CMakeLists.txt ===
#
#	$Id$
#

if (HAVE_M_LIBRARY)
	# link the math library
	set (LINK_LIBS m)
endif (HAVE_M_LIBRARY)

include_directories (include)

add_library (ALOS lib_src/utils.c lib_src/null_sio_struct.c
	lib_src/get_sio_struct.c lib_src/put_sio_struct.c lib_src/calc_dop.c
	lib_src/hermite_c.c lib_src/ALOS_ldr_orbit.c lib_src/ALOSE_orbits_utils.c
	lib_src/interpolate_ALOS_orbit.c lib_src/read_ALOS_sarleader.c lib_src/write_ALOS_LED.c
	lib_src/write_orb.c
	lib_src/set_ALOS_defaults.c lib_src/write_ALOS_prm.c lib_src/rng_expand.c
	lib_src/rng_compress.c lib_src/rng_filter.c lib_src/find_fft_length.c
	lib_src/siocomplex.c lib_src/polyfit.c lib_src/plh2xyz.c lib_src/xyz2plh.c
	lib_src/cfft1d.c lib_src/swap32.c lib_src/swap16.c lib_src/fftpack.c
	include/image_sio.h include/lib_functions.h include/llt2xyz.h
	include/siocomplex.h)
target_link_libraries (ALOS ${LINK_LIBS})

set (LINK_LIBS ${LINK_LIBS} ALOS)

add_executable (ALOS_baseline ALOS_baseline/ALOS_baseline.c ALOS_baseline/ALOS_llt2rat_sub.c include/image_sio.h include/lib_functions.h include/llt2xyz.h)
target_link_libraries (ALOS_baseline ${LINK_LIBS})

add_executable (ALOS_fbd2fbs ALOS_fbd2fbs/ALOS_fbd2fbs.c include/image_sio.h include/lib_functions.h include/siocomplex.h)
target_link_libraries (ALOS_fbd2fbs ${LINK_LIBS})

add_executable (ALOS_fbd2fbs_SLC ALOS_fbd2fbs_SLC/ALOS_fbd2fbs_SLC.c include/image_sio.h include/lib_functions.h include/siocomplex.h)
target_link_libraries (ALOS_fbd2fbs_SLC ${LINK_LIBS})

add_executable (ALOS_fbd2ss ALOS_fbd2ss/ALOS_fbd2ss.c include/image_sio.h include/lib_functions.h include/siocomplex.h)
target_link_libraries (ALOS_fbd2ss ${LINK_LIBS})

add_executable (ALOS_fbs2fbd ALOS_fbs2fbd/ALOS_fbs2fbd.c include/image_sio.h include/siocomplex.h)
target_link_libraries (ALOS_fbs2fbd ${LINK_LIBS})

add_executable (ALOS_llt2rat ALOS_llt2rat/ALOS_llt2rat.c include/image_sio.h include/lib_functions.h include/llt2xyz.h)
target_link_libraries (ALOS_llt2rat ${LINK_LIBS})

add_executable (ALOS_look ALOS_look/ALOS_look.c include/image_sio.h include/lib_functions.h include/llt2xyz.h)
target_link_libraries (ALOS_look ${LINK_LIBS})

add_executable (ALOS_merge ALOS_merge/ALOS_merge.c include/image_sio.h include/lib_functions.h)
target_link_libraries (ALOS_merge ${LINK_LIBS})

add_executable (ALOS_pre_process ALOS_pre_process/ALOS_pre_process.c ALOS_pre_process/parse_ALOS_commands.c ALOS_pre_process/read_ALOS_data.c ALOS_pre_process/read_ALOSE_data.c ALOS_pre_process/swap_ALOS_data_info.c ALOS_pre_process/roi_utils.c include/image_sio.h include/lib_functions.h)
target_link_libraries (ALOS_pre_process ${LINK_LIBS})

add_executable (ALOS_pre_process_SLC ALOS_pre_process_SLC/ALOS_pre_process_SLC.c ALOS_pre_process_SLC/parse_ALOS_commands.c ALOS_pre_process_SLC/read_ALOS_data_SLC.c ALOS_pre_process_SLC/swap_ALOS_data_info.c include/image_sio.h include/lib_functions.h)
target_link_libraries (ALOS_pre_process_SLC ${LINK_LIBS})

add_executable (ALOS_pre_process_SS ALOS_pre_process_SS/ALOS_pre_process_SS.c ALOS_pre_process_SS/parse_ALOS_commands.c ALOS_pre_process_SS/read_ALOS_data_SS.c ALOS_pre_process_SS/swap_ALOS_data_info.c include/image_sio.h include/lib_functions.h)
target_link_libraries (ALOS_pre_process_SS ${LINK_LIBS})

# add the install targets
install (TARGETS ALOS ALOS_baseline ALOS_fbd2fbs ALOS_fbd2fbs_SLC ALOS_fbd2ss ALOS_fbs2fbd ALOS_llt2rat ALOS_look ALOS_merge ALOS_pre_process ALOS_pre_process_SLC ALOS_pre_process_SS
	ARCHIVE DESTINATION lib
	COMPONENT Runtime
	LIBRARY DESTINATION lib
	COMPONENT Runtime
	RUNTIME DESTINATION bin
	COMPONENT Runtime)

# vim: textwidth=78 noexpandtab tabstop=2 softtabstop=2 shiftwidth=2

=== ALOS_preproc/Makefile ===
include ../../config.mk

DIRS	= ALOS_pre_process ALOS_merge ALOS_fbd2fbs \
	  ALOS_fbd2fbs_SLC ALOS_fbd2ss \
	  ALOS_pre_process_SLC ALOS_mosaic_ss \
	  ALOS_mosaic_ss ALOS_mosaic_ss_2frames ALOS_pre_process_SS
 
LIB	= lib/libALOS.a

all:	$(LIB)
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) all); \
	done

install:	all
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) install); \
	done

uninstall:
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) uninstall); \
	done

clean:
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) clean); \
	done
	(cd lib_src; $(MAKE) clean)

$(LIB):
	mkdir -p lib
	(cd lib_src; $(MAKE) all)

spotless:	clean
	rm -rf lib

=== CSK_preproc/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 #   make all the files
 #
-DIRS	= src_slc src_raw
+DIRS	= src_slc src_raw src_slc2
 
 all:
 	$(LN_S) -f ../S1A_preproc/include include
@@ -27,3 +27,4 @@
 	done
 
 spotless:	clean
+	$(RM) include lib

=== ENVI_preproc/Makefile ===
include ../../config.mk

LIB	= lib/ibENVI.a
DIRS	= ASA_CAT Dop_orbit ENVI_decode ENVI_SLC_decode
SCRIPT	= scripts

all:	$(LIB)
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) all); \
	done

install:	all
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) install); \
	done
	$(INSTALL) $(SCRIPT)/dump_orbit_envi.pl $(bindir)
	$(INSTALL) $(SCRIPT)/dump_time_envi.pl $(bindir)
	$(INSTALL) $(SCRIPT)/find_auxi.pl $(bindir)
	$(INSTALL) $(SCRIPT)/ENVI_pre_process $(bindir)
	$(INSTALL) $(SCRIPT)/ENVI_SLC_pre_process $(bindir)

uninstall:
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) uninstall); \
	done
	rm -f $(bindir)/dump_orbit_envi.pl
	rm -f $(bindir)/dump_time_envi.pl
	rm -f $(bindir)/find_auxi.pl
	rm -f $(bindir)/ENVI_pre_process
	rm -f $(bindir)/ENVI_SLC_pre_process

clean:
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) clean); \
	done
	(cd lib_src; $(MAKE) clean)

$(LIB):
	mkdir -p lib
	(cd lib_src; $(MAKE) all)

spotless:	clean
	rm -rf lib

=== ERS_preproc/Makefile ===
include ../../config.mk

DIRS	= ers_line_fixer read_data_file_dpaf read_data_file_ccrs read_sarleader_dpaf
SCRIPT	= scripts

all:
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) all); \
	done

install:	all
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) install); \
	done
	$(INSTALL) $(SCRIPT)/dump_orbit_ers.pl $(bindir)
	$(INSTALL) $(SCRIPT)/ERS_pre_process $(bindir)

uninstall:
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) uninstall); \
	done
	rm -f $(bindir)/dump_orbit_ers.pl
	rm -f $(bindir)/ERS_pre_process

clean:
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) clean); \
	done

spotless:	clean

=== GF3_preproc/Makefile ===
include ../../config.mk
#
#   make all the files
#
DIRS	= lib src

all:
	$(LN_S) -f ../S1A_preproc/include include
	$(LN_S) -f ../S1A_preproc/lib lib
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) all); \
	done

install:	all
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) install); \
	done

uninstall:
	(cd src; $(MAKE) uninstall)

clean:
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) clean); \
	done

spotless:	clean
	$(RM) lib include

=== LT1_preproc/Makefile ===
--- 
+++ 
@@ -25,3 +25,4 @@
 	done
 
 spotless:	clean
+	$(RM) lib include

=== NSR_preproc/Makefile ===
include ../../config.mk
#
#   make all the files
#
DIRS	= src_slc 

all:
	$(LN_S) -f ../S1A_preproc/include include
	$(LN_S) -f ../S1A_preproc/lib lib
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) all); \
	done

install:	all
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) install); \
	done

uninstall:
	for d in src_slc src_raw; do \
		(cd $$d; $(MAKE) uninstall); \
	done

clean:
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) clean); \
	done

spotless:	clean
	$(RM) lib include

=== S1A_preproc/Makefile ===
include ../../config.mk
#
#   make all the files
#
DIRS	= lib src_swath src_tops src_orbit src_stitch src_spec_div src_assembly

all:
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) all); \
	done

install:	all
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) install); \
	done

uninstall:
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) uninstall); \
	done

clean:
	for d in $(DIRS); do \
		(cd $$d; $(MAKE) clean); \
	done

spotless:	clean
	$(MAKE) -C lib spotless

=== TSX_preproc/Makefile ===
--- 
+++ 
@@ -25,3 +25,4 @@
 	done
 
 spotless:	clean
+	$(RM) include lib

=== debian/changelog ===
gmtsar (6.6+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/copyright:
    - Update the list of files to be excluded.
  * debian/patches:
    - Drop 0002-std-gnu99.patch, 0003-Fix-file-permissions.patch,
      0005-Spelling.patch, 0006-LDFLAGS.patch, 0008-loong64.patch
      and 0009-Disable-m64-gcc-flag-on-riscv64.patch
    - Refresh and renumber remaining patches.
  * Install the new program make_slc_csk2.
  * New manpage for make_slc_csk2.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 21 Oct 2025 06:33:29 +0000

gmtsar (6.5+ds-4) unstable; urgency=medium

  * Upload to unstable.
  * Mark gmtsar-data as Multi-Arch: foreign.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 10 Aug 2025 18:20:49 +0000

gmtsar (6.5+ds-4~exp1) experimental; urgency=medium

  [ Gui-Yue ]
  * Disable -m64 option in riscv64 (Closes: #1107403).

  [ Antonio Valentino ]
  * debian/patches:
    - Rename patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 08 Jun 2025 10:40:00 +0000

gmtsar (6.5+ds-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.
  * Add patch by wuruilong for loong64 support.
    (closes: #1099721)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 17 Apr 2025 05:01:32 +0000

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,10 @@
                libhdf5-dev,
                liblapack-dev,
                libtiff-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/gmtsar
 Vcs-Git: https://salsa.debian.org/debian-gis-team/gmtsar.git
 Homepage: https://topex.ucsd.edu/gmtsar
-Rules-Requires-Root: no
 Description: InSAR processing system based on Generic Mapping Tools
  GMTSAR is an open source Interferometric Synthetic Aperture RADAR
  (InSAR) processing system designed for users familiar with Generic
@@ -63,6 +62,7 @@
 Package: gmtsar-data
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: ${source:Synopsis} - data
  ${source:Extended-Description}
  .

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?(?:rel|v|lerc)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/lerc-$1.$2/,\
repacksuffix=+ds \
https://topex.ucsd.edu/gmtsar/tar/GMTSAR_V(.*).tar
